org.apache.http.pool

## Interface ConnPoolControl<T>

- Type Parameters:
    `T` - the route type that represents the opposite endpoint of a pooled connection.
  All Known Implementing Classes:
    AbstractConnPool, AbstractNIOConnPool, BasicConnPool, BasicNIOConnPool

      public interface ConnPoolControl<T>

  Interface to control runtime properties of a `ConnPool` such as maximum total number of connections or maximum connections per route allowed.
  Since:
    4.2

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDefaultMaxPerRoute()`
    `int` | `getMaxPerRoute(T route)`
    `int` | `getMaxTotal()`
    `PoolStats` | `getStats(T route)`
    `PoolStats` | `getTotalStats()`
    `void` | `setDefaultMaxPerRoute(int max)`
    `void` | `setMaxPerRoute(T route, int max)`
    `void` | `setMaxTotal(int max)`

- - ### Method Detail

    - #### setMaxTotal

          void setMaxTotal(int max)

    - #### getMaxTotal

          int getMaxTotal()

    - #### setDefaultMaxPerRoute

          void setDefaultMaxPerRoute(int max)

    - #### getDefaultMaxPerRoute

          int getDefaultMaxPerRoute()

    - #### setMaxPerRoute

          void setMaxPerRoute(T route,
                            int max)

    - #### getMaxPerRoute

          int getMaxPerRoute(T route)

    - #### getTotalStats

          PoolStats getTotalStats()

    - #### getStats

          PoolStats getStats(T route)

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.